![REST API Response Builder for Laravel](../artwork/laravel-api-response-builder-logo.svg)

# REST API Response Builder for Laravel #

 `ResponseBuilder` is a helper library for [Laravel](https://laravel.com/) framework,
 designed to help you build nice, normalized and easy to consume JSON response structures
 for your REST API.

## Table of contents ##

* [Fundamentals](docs.md)
* [Requirements](requirements.md)
* [Installation](installation.md)
* [Configuration](config.md)
* [On-the-fly data conversion](conversion.md)
* [Usage examples](examples.md)
* [Exposed methods](methods.md)
* [Manipulating response JSON object](response.md)
* [Exception Handling](exceptions.md)
* [Unit testing](testing.md)
* [Important incompatibile changes](compatibility.md)

 ![WARNING](img/warning.png) **Upgrading from previous version? Check [compatibility docs](compatibility.md) prior
 altering your `composer.json`!**
